# UserManagementApi

## UserManagementApi

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                                                                                  | HTTP request                                        | Description                         |
| --------------------------------------------------------------------------------------- | --------------------------------------------------- | ----------------------------------- |
| [**um\_groups\_delete**](#um_groups_delete)                                             | **DELETE** /um/groups/{groupId}                     | Delete groups                       |
| [**um\_groups\_find\_by\_id**](#um_groups_find_by_id)                                   | **GET** /um/groups/{groupId}                        | Retrieve groups                     |
| [**um\_groups\_get**](#um_groups_get)                                                   | **GET** /um/groups                                  | List all groups                     |
| [**um\_groups\_post**](#um_groups_post)                                                 | **POST** /um/groups                                 | Create groups                       |
| [**um\_groups\_put**](#um_groups_put)                                                   | **PUT** /um/groups/{groupId}                        | Modify groups                       |
| [**um\_groups\_resources\_get**](#um_groups_resources_get)                              | **GET** /um/groups/{groupId}/resources              | Retrieve group resources            |
| [**um\_groups\_shares\_delete**](#um_groups_shares_delete)                              | **DELETE** /um/groups/{groupId}/shares/{resourceId} | Remove group shares                 |
| [**um\_groups\_shares\_find\_by\_resource\_id**](#um_groups_shares_find_by_resource_id) | **GET** /um/groups/{groupId}/shares/{resourceId}    | Retrieve group shares               |
| [**um\_groups\_shares\_get**](#um_groups_shares_get)                                    | **GET** /um/groups/{groupId}/shares                 | List group shares                   |
| [**um\_groups\_shares\_post**](#um_groups_shares_post)                                  | **POST** /um/groups/{groupId}/shares/{resourceId}   | Add group shares                    |
| [**um\_groups\_shares\_put**](#um_groups_shares_put)                                    | **PUT** /um/groups/{groupId}/shares/{resourceId}    | Modify group share privileges       |
| [**um\_groups\_users\_delete**](#um_groups_users_delete)                                | **DELETE** /um/groups/{groupId}/users/{userId}      | Remove users from groups            |
| [**um\_groups\_users\_get**](#um_groups_users_get)                                      | **GET** /um/groups/{groupId}/users                  | List group members                  |
| [**um\_groups\_users\_post**](#um_groups_users_post)                                    | **POST** /um/groups/{groupId}/users                 | Add a Group Member                  |
| [**um\_resources\_find\_by\_type**](#um_resources_find_by_type)                         | **GET** /um/resources/{resourceType}                | List resources by type              |
| [**um\_resources\_find\_by\_type\_and\_id**](#um_resources_find_by_type_and_id)         | **GET** /um/resources/{resourceType}/{resourceId}   | Retrieve resources by type          |
| [**um\_resources\_get**](#um_resources_get)                                             | **GET** /um/resources                               | List all resources                  |
| [**um\_users\_delete**](#um_users_delete)                                               | **DELETE** /um/users/{userId}                       | Delete users                        |
| [**um\_users\_find\_by\_id**](#um_users_find_by_id)                                     | **GET** /um/users/{userId}                          | Retrieve users                      |
| [**um\_users\_get**](#um_users_get)                                                     | **GET** /um/users                                   | List all users                      |
| [**um\_users\_groups\_get**](#um_users_groups_get)                                      | **GET** /um/users/{userId}/groups                   | Retrieve group resources by user ID |
| [**um\_users\_owns\_get**](#um_users_owns_get)                                          | **GET** /um/users/{userId}/owns                     | Retrieve user resources by user ID  |
| [**um\_users\_post**](#um_users_post)                                                   | **POST** /um/users                                  | Create users                        |
| [**um\_users\_put**](#um_users_put)                                                     | **PUT** /um/users/{userId}                          | Modify users                        |

## **um\_groups\_delete**

> um\_groups\_delete(group\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Delete groups

Remove the specified group.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    group_id = 'group_id_example' # str | The unique ID of the group.
    try:
        # Delete groups
        api_instance.um_groups_delete(group_id)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_groups_delete: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **group\_id**           | **str**  | The unique ID of the group.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **um\_groups\_find\_by\_id**

> Group um\_groups\_find\_by\_id(group\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Retrieve groups

Retrieve a group by the group ID. This value is in the response body when the group is created, and in the list of the groups, returned by GET.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    group_id = 'group_id_example' # str | The unique ID of the group.
    try:
        # Retrieve groups
        api_response = api_instance.um_groups_find_by_id(group_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_groups_find_by_id: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **group\_id**           | **str**  | The unique ID of the group.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Group**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/group)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **um\_groups\_get**

> Groups um\_groups\_get(pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

List all groups

List all the available user groups.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    try:
        # List all groups
        api_response = api_instance.um_groups_get()
        print(api_response)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_groups_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Groups**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/groups)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **um\_groups\_post**

> Group um\_groups\_post(group, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Create groups

Create a group.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    group = ionoscloud.Group() # Group | The group to create.
    try:
        # Create groups
        api_response = api_instance.um_groups_post(group)
        print(api_response)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_groups_post: %s\n' % e)
```

#### Parameters

| Name                    | Type                                                                                           | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | ---------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **group**               | [**Group**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/group) | The group to create.                                                                                                                                                                                                                                                                                                                                                                                                                     |                                |
| **pretty**              | **bool**                                                                                       | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                                                                                        | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                                                                                        | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Group**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/group)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **um\_groups\_put**

> Group um\_groups\_put(group\_id, group, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Modify groups

Modify the properties of the specified group.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    group_id = 'group_id_example' # str | The unique ID of the group.
    group = ionoscloud.Group() # Group | The modified group.
    try:
        # Modify groups
        api_response = api_instance.um_groups_put(group_id, group)
        print(api_response)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_groups_put: %s\n' % e)
```

#### Parameters

| Name                    | Type                                                                                           | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | ---------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **group\_id**           | **str**                                                                                        | The unique ID of the group.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **group**               | [**Group**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/group) | The modified group.                                                                                                                                                                                                                                                                                                                                                                                                                      |                                |
| **pretty**              | **bool**                                                                                       | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                                                                                        | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                                                                                        | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Group**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/group)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **um\_groups\_resources\_get**

> ResourceGroups um\_groups\_resources\_get(group\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Retrieve group resources

List the resources assigned to the group, by group ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    group_id = 'group_id_example' # str | The unique ID of the group.
    try:
        # Retrieve group resources
        api_response = api_instance.um_groups_resources_get(group_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_groups_resources_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **group\_id**           | **str**  | The unique ID of the group.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**ResourceGroups**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/resourcegroups)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **um\_groups\_shares\_delete**

> um\_groups\_shares\_delete(group\_id, resource\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Remove group shares

Remove the specified share from the group.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    group_id = 'group_id_example' # str | The unique ID of the group.
    resource_id = 'resource_id_example' # str | The unique ID of the resource.
    try:
        # Remove group shares
        api_instance.um_groups_shares_delete(group_id, resource_id)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_groups_shares_delete: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **group\_id**           | **str**  | The unique ID of the group.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **resource\_id**        | **str**  | The unique ID of the resource.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **um\_groups\_shares\_find\_by\_resource\_id**

> GroupShare um\_groups\_shares\_find\_by\_resource\_id(group\_id, resource\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Retrieve group shares

Retrieve the properties of the specified group share.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    group_id = 'group_id_example' # str | The unique ID of the group.
    resource_id = 'resource_id_example' # str | The unique ID of the resource.
    try:
        # Retrieve group shares
        api_response = api_instance.um_groups_shares_find_by_resource_id(group_id, resource_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_groups_shares_find_by_resource_id: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **group\_id**           | **str**  | The unique ID of the group.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **resource\_id**        | **str**  | The unique ID of the resource.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**GroupShare**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/groupshare)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **um\_groups\_shares\_get**

> GroupShares um\_groups\_shares\_get(group\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

List group shares

List all shares and share privileges for the specified group.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    group_id = 'group_id_example' # str | The unique ID of the group.
    try:
        # List group shares 
        api_response = api_instance.um_groups_shares_get(group_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_groups_shares_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **group\_id**           | **str**  | The unique ID of the group.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**GroupShares**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/groupshares)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **um\_groups\_shares\_post**

> GroupShare um\_groups\_shares\_post(group\_id, resource\_id, resource, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Add group shares

Add the specified share to the group.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    group_id = 'group_id_example' # str | The unique ID of the group.
    resource_id = 'resource_id_example' # str | The unique ID of the resource.
    resource = ionoscloud.GroupShare() # GroupShare | The resource to add.
    try:
        # Add group shares
        api_response = api_instance.um_groups_shares_post(group_id, resource_id, resource)
        print(api_response)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_groups_shares_post: %s\n' % e)
```

#### Parameters

| Name                    | Type                                                                                                     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **group\_id**           | **str**                                                                                                  | The unique ID of the group.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **resource\_id**        | **str**                                                                                                  | The unique ID of the resource.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **resource**            | [**GroupShare**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/groupshare) | The resource to add.                                                                                                                                                                                                                                                                                                                                                                                                                     |                                |
| **pretty**              | **bool**                                                                                                 | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                                                                                                  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                                                                                                  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**GroupShare**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/groupshare)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **um\_groups\_shares\_put**

> GroupShare um\_groups\_shares\_put(group\_id, resource\_id, resource, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Modify group share privileges

Modify share permissions for the specified group. With an empty body, no updates are performed, and the current share permissions for the group are returned with response code 200.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    group_id = 'group_id_example' # str | The unique ID of the group.
    resource_id = 'resource_id_example' # str | The unique ID of the resource.
    resource = ionoscloud.GroupShare() # GroupShare | The modified resource
    try:
        # Modify group share privileges
        api_response = api_instance.um_groups_shares_put(group_id, resource_id, resource)
        print(api_response)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_groups_shares_put: %s\n' % e)
```

#### Parameters

| Name                    | Type                                                                                                     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **group\_id**           | **str**                                                                                                  | The unique ID of the group.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **resource\_id**        | **str**                                                                                                  | The unique ID of the resource.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **resource**            | [**GroupShare**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/groupshare) | The modified resource                                                                                                                                                                                                                                                                                                                                                                                                                    |                                |
| **pretty**              | **bool**                                                                                                 | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                                                                                                  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                                                                                                  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**GroupShare**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/groupshare)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **um\_groups\_users\_delete**

> um\_groups\_users\_delete(group\_id, user\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Remove users from groups

Remove the specified user from the group.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    group_id = 'group_id_example' # str | The unique ID of the group.
    user_id = 'user_id_example' # str | The unique ID of the user.
    try:
        # Remove users from groups
        api_instance.um_groups_users_delete(group_id, user_id)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_groups_users_delete: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **group\_id**           | **str**  | The unique ID of the group.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **user\_id**            | **str**  | The unique ID of the user.                                                                                                                                                                                                                                                                                                                                                                                                               |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **um\_groups\_users\_get**

> GroupMembers um\_groups\_users\_get(group\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

List group members

List all members of the specified user group.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    group_id = 'group_id_example' # str | The unique ID of the group.
    try:
        # List group members
        api_response = api_instance.um_groups_users_get(group_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_groups_users_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **group\_id**           | **str**  | The unique ID of the group.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**GroupMembers**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/groupmembers)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **um\_groups\_users\_post**

> User um\_groups\_users\_post(group\_id, user, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Add a Group Member

Adds an existing user to the specified group.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    group_id = 'group_id_example' # str | The unique ID of the group.
    user = ionoscloud.User() # User | The user to add.
    try:
        # Add a Group Member
        api_response = api_instance.um_groups_users_post(group_id, user)
        print(api_response)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_groups_users_post: %s\n' % e)
```

#### Parameters

| Name                    | Type                                                                                         | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **group\_id**           | **str**                                                                                      | The unique ID of the group.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **user**                | [**User**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/user) | The user to add.                                                                                                                                                                                                                                                                                                                                                                                                                         |                                |
| **pretty**              | **bool**                                                                                     | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                                                                                      | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                                                                                      | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**User**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/user)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **um\_resources\_find\_by\_type**

> Resources um\_resources\_find\_by\_type(resource\_type, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

List resources by type

List all resources of the specified type. Resource types are: {datacenter, snapshot, image, ipblock, pcc, backupunit, k8s} Resource types are in the list of resources, returned by GET.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    resource_type = 'resource_type_example' # str | The resource type
    try:
        # List resources by type
        api_response = api_instance.um_resources_find_by_type(resource_type)
        print(api_response)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_resources_find_by_type: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **resource\_type**      | **str**  | The resource type                                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Resources**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/resources)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **um\_resources\_find\_by\_type\_and\_id**

> Resource um\_resources\_find\_by\_type\_and\_id(resource\_type, resource\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Retrieve resources by type

Retrieve a resource by the resource type and resource ID. Resource types are: {datacenter, snapshot, image, ipblock, pcc, backupunit, k8s} Resource types are in the list of resources, returned by GET.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    resource_type = 'resource_type_example' # str | The resource type
    resource_id = 'resource_id_example' # str | The resource ID
    try:
        # Retrieve resources by type
        api_response = api_instance.um_resources_find_by_type_and_id(resource_type, resource_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_resources_find_by_type_and_id: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **resource\_type**      | **str**  | The resource type                                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **resource\_id**        | **str**  | The resource ID                                                                                                                                                                                                                                                                                                                                                                                                                          |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Resource**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/resource)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **um\_resources\_get**

> Resources um\_resources\_get(pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

List all resources

List all the available resources.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    try:
        # List all resources
        api_response = api_instance.um_resources_get()
        print(api_response)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_resources_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Resources**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/resources)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **um\_users\_delete**

> um\_users\_delete(user\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Delete users

Delete the specified user.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    user_id = 'user_id_example' # str | The unique ID of the user.
    try:
        # Delete users
        api_instance.um_users_delete(user_id)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_users_delete: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **user\_id**            | **str**  | The unique ID of the user.                                                                                                                                                                                                                                                                                                                                                                                                               |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **um\_users\_find\_by\_id**

> User um\_users\_find\_by\_id(user\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Retrieve users

Retrieve user properties by user ID. The user ID is in the response body when the user is created, and in the list of the users, returned by GET.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    user_id = 'user_id_example' # str | The unique ID of the user.
    try:
        # Retrieve users
        api_response = api_instance.um_users_find_by_id(user_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_users_find_by_id: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **user\_id**            | **str**  | The unique ID of the user.                                                                                                                                                                                                                                                                                                                                                                                                               |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**User**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/user)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **um\_users\_get**

> Users um\_users\_get(pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number, offset=offset, limit=limit)

List all users

List all the users in your account.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.UserManagementApi(api_client)
    try:
        # List all users 
        api_response = api_instance.um_users_get()
        print(api_response)
    except ApiException as e:
        print('Exception when calling UserManagementApi.um_users_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
[...]
